https://coverage.yugioh-card.com

Yu-Gi-Oh! Coverage Blog and Judge Forum will only be accessible from TLS 1.2 compliant web browsers from April 1 onwards.

19.02.2018 | 13:40 |

Hello Duelists, we have a small IT-related update for you today.

From April 1st, the Yu-Gi-Oh! Coverage Blog and Judge Forum will only be accessible from TLS 1.2 compliant web browsers, a list of which you can find here.

This change will mainly affect older web browsers and operating systems, if you’re reading this blog on a modern smartphone or the latest versions of most common web browsers you don’t need to do anything. If you’re viewing this blog on an older version of any of these browsers you may have to update in order to access the site in future.

Thank you as always for following the Yu-Gi-Oh! TRADING CARD GAME and we look forward to bringing you the latest event coverage in the near future!